Share via


Workspaces - Prepare Notebook

Prepare a notebook.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/prepareNotebook?api-version=2025-09-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

workspaceName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$

Name of Azure Machine Learning workspace.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

NotebookResourceInfo

Success

202 Accepted

Accepted

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

Error response describing why the operation failed

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Prepare Notebook

Sample request

POST https://management.azure.com/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/workspaces/workspaces123/prepareNotebook?api-version=2025-09-01

Sample response

{
  "resourceId": "aabbccddee112233445566778899",
  "fqdn": "testnotebook.notebooks.azure.com",
  "notebookPreparationError": {
    "statusCode": 500,
    "errorMessage": "general error"
  }
}
Location: example_location

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

NotebookPreparationError
NotebookResourceInfo

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

NotebookPreparationError

Name Type Description
errorMessage

string

statusCode

integer (int32)

NotebookResourceInfo

Name Type Description
fqdn

string

notebookPreparationError

NotebookPreparationError

The error that occurs when preparing notebook.

resourceId

string

the data plane resourceId that used to initialize notebook component